# CoreStoreDefaults

    public enum CoreStoreDefaults

Global utilities

- `logger`

  The `CoreStoreLogger` instance to be used. The default logger is an instance of a `DefaultLogger`.

  #### Declaration

  Swift

      public static var logger: CoreStoreLogger

- `dataStack`

  The default `DataStack` instance to be used. If `defaultStack` is not set during the first time accessed, a default-configured `DataStack` will be created.

  See also

  `DataStack`

  Note

  Changing `dataStack` is thread safe, but it is recommended to setup `DataStacks` on a common queue (e.g. the main queue).

  Important

  If `dataStack` is not set during the first time accessed, a default-configured `DataStack` will be created.

  #### Declaration

  Swift

      public static var dataStack: DataStack { get set }